Package org.optaplanner.core.impl.score.director.stream

## Class AbstractConstraintStreamScoreDirectorFactory<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory<Solution_,​Score_>
  - - org.optaplanner.core.impl.score.director.stream.AbstractConstraintStreamScoreDirectorFactory<Solution_,​Score_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
    `Score_` - the score type to go with the solution
  All Implemented Interfaces:
    `InnerScoreDirectorFactory<Solution_,​Score_>`, `ScoreDirectorFactory<Solution_>`
  Direct Known Subclasses:
    `BavetConstraintStreamScoreDirectorFactory`, `DroolsConstraintStreamScoreDirectorFactory`

      public abstract class AbstractConstraintStreamScoreDirectorFactory<Solution_,​Score_ extends Score<Score_>>
      extends AbstractScoreDirectorFactory<Solution_,​Score_>

  FP streams implementation of `ScoreDirectorFactory`.
  See Also:
    `ScoreDirectorFactory`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

      `assertClonedSolution, assertionScoreDirectorFactory, initializingScoreTrend, logger, solutionDescriptor`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractConstraintStreamScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Constraint[]` | `buildConstraints​(ConstraintProvider constraintProvider, InnerConstraintFactory<Solution_> constraintFactory)` |
    `abstract Constraint[]` | `getConstraints()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

      `assertScoreFromScratch, buildScoreDirector, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, isAssertClonedSolution, setAssertClonedSolution, setAssertionScoreDirectorFactory, setInitializingScoreTrend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.director.InnerScoreDirectorFactory

      `buildScoreDirector`

- - ### Constructor Detail

    - #### AbstractConstraintStreamScoreDirectorFactory

          protected AbstractConstraintStreamScoreDirectorFactory​(SolutionDescriptor<Solution_> solutionDescriptor)

  - ### Method Detail

    - #### buildConstraints

          protected Constraint[] buildConstraints​(ConstraintProvider constraintProvider,
                                                  InnerConstraintFactory<Solution_> constraintFactory)

    - #### getConstraints

          public abstract Constraint[] getConstraints()